package com.yanzuoguang.util.helper;

/**
 * 执行的时候得事件处理类
 *
 * @param <T> 需要处理的数据的类型
 */
public interface EventRun<T> {

    /**
     * 事件的执行主体
     *
     * @param t 接口
     * @throws Exception 异常错误
     */
    void Execute(T t) throws Exception;
}
