package com.yanzuoguang.extend;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 打印SQL日志
 */
@Component
public class ConfigDb {
    /**
     * 打印映射日志
     */
    @Value("${yzg.PrintMapper:true}")
    private boolean PrintMapper;
    /**
     * 打印SQL日志
     */
    @Value("${yzg.PrintSql:true}")
    private boolean PrintSql;

    /**
     * 判断是否匹配过滤
     */
    @Value("${yzg.PrintSqlFilter:}")
    private String PrintSqlFilter;

    public boolean isPrintMapper() {
        return PrintMapper;
    }

    public boolean isPrintSql() {
        return PrintSql;
    }

    public String getPrintSqlFilter() {
        return PrintSqlFilter;
    }
}
