package com.yanzuoguang.util.cache;


import java.util.Date;

/**
 * 内存缓存值
 * @param <T>
 */
public class MemoryCacheItem<T> {

    /**
     * 时间
     */
    private Date date = new Date();

    /**
     * 名称
     */
    private String name;

    /**
     * 数据
     */
    private T data;

    /**
     * 激活数据
     */
    public void active() {
        date = new Date();
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
