package com.yanzuoguang.util.table;

import java.util.ArrayList;
import java.util.List;

/**
 * 表格头
 */
public class TableHead {

    /**
     * 构造函数
     */
    public TableHead() {
        this.TotalColumn = 0;
        this.TotalRow = 0;
        this.DataColumn = 0;
        this.Columns = new ArrayList<>();
    }

    /**
     * 总行数
     */
    private int TotalRow;

    /**
     * 总列数
     */
    private int TotalColumn;

    /**
     * 已添加数据列
     */
    private int DataColumn;

    /**
     * 列头数
     */
    private List<TableHeadItem> Columns;

    public int getTotalRow() {
        return TotalRow;
    }

    public void setTotalRow(int totalRow) {
        TotalRow = totalRow;
    }

    public int getTotalColumn() {
        return TotalColumn;
    }

    public void setTotalColumn(int totalColumn) {
        TotalColumn = totalColumn;
    }

    public int getDataColumn() {
        return DataColumn;
    }

    public void setDataColumn(int dataColumn) {
        DataColumn = dataColumn;
    }

    public List<TableHeadItem> getColumns() {
        return Columns;
    }

    public void setColumns(List<TableHeadItem> columns) {
        Columns = columns;
    }
}
